package rocks.zipcode.io.quiz4.collections;

import java.util.Iterator;
import java.util.TreeSet;

/**
 * @author leon on 11/12/2018.
 */
public class ComparableTreeSet<T> extends TreeSet implements Comparable {
    public ComparableTreeSet(T... arr) {
        for (T item: arr) {
            this.add(item);
        }
    }


    public ComparableTreeSet() {
    }


    @Override
    public String toString(){
        String result = "[";
        for (Object obj : this) {
            if(obj.toString().equals("")) result+= " ";
            if(!result.equals("[")){
            result+= ", ";
            result+= obj.toString();}
            else result += obj.toString();
        }
        return result+"]";
    }


    @Override
    public int compareTo(Object o) {
        String one = this.toString();
        String two = o.toString();
        return one.compareTo(two);
    }
}
