package rocks.zipcode.io.quiz4.collections;

import rocks.zipcode.io.quiz4.objectorientation.Student;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * @author leon on 11/12/2018.
 */
public class ZipCodeWilmington {

    ArrayList<Student> list = new ArrayList<>();
    public void enroll(Student student) {
        list.add(student);
    }

    public Boolean isEnrolled(Student student) {
        return list.contains(student);
    }

    public void lecture(double numberOfHours) {
        for (Student st : list) {
            st.learn(numberOfHours);
        }
    }

    public Map<Student, Double> getStudyMap() {
        Map<Student, Double> map = new LinkedHashMap<>();
        for (Student st : list) {
            map.put(st, st.getTotalStudyTime());
        }
        return map;
    }
}
