package rocks.zipcode.io.quiz4.fundamentals;

import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

/**
 * @author leon on 11/12/2018.
 */
public class StringEvaluator {
    public static String[] getAllPrefixes(String string) {
        int counter = 0;
        Set<String> arr = new HashSet<>();
        for (int i = 0; i < string.length(); i++) {
            for (int j = 1; j <= string.length(); j++) {
                if(j > i ){
                arr.add(string.substring(i,j));
                }
            }
        }
        return arr.toArray( new String[0]);
    }

    public static String[] getCommonPrefixes(String string1, String string2) {
        String[] arr1 = getAllPrefixes(string1);
        ArrayList<String> arr2 = new ArrayList<>(Arrays.asList(getAllPrefixes(string2)));
        ArrayList<String> result = new ArrayList<>();
        for (String str : arr1) {
            if(arr2.contains(str)) result.add(str);
        }
        return result.toArray(new String[0]);
    }

    public static String getLargestCommonPrefix(String string1, String string2) {
        String[] arr = getCommonPrefixes(string1, string2);
        String result = "";
        for (String str : arr) {
            if(str.length()>result.length())
                result = str;
        }
        return result;
    }
}
