package rocks.zipcode.io.quiz4.collections;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 * @author leon on 11/12/2018.
 */
public class SimpleStringGroup implements Iterable{

    ArrayList<String> list = new ArrayList();

    public SimpleStringGroup() {

        //throw new UnsupportedOperationException("Method not yet implemented");
    }

    public Integer count() {
        return list.size();
    }

    public void insert(String string) {
        list.add(string);
    }

    public Boolean has(String valueToInsert) {

        return list.contains(valueToInsert);
    }

    public String fetch(int indexOfValue) {

        return list.get(indexOfValue);
    }

    public void delete(String valueToInsert) {
        list.remove(valueToInsert);
    }


    public void clear() {
        list.clear();
    }


    @Override
    public Iterator iterator() {
       Iterator it = new Iterator() {

           int index = 0;

           @Override
           public boolean hasNext() {
               return list.size()>index;
           }

           @Override
           public Object next() {
               if(hasNext())index++;
               return list.get(index-1);
           }
       };
       return it;
    }
}
