package rocks.zipcode.io.quiz4.fundamentals;

import java.lang.reflect.Array;
import java.util.ArrayList;

/**
 * @author leon on 18/12/2018.
 */
public class PalindromeEvaluator {
    public static String[] getAllPalindromes(String string) {
        ArrayList<String> result = new ArrayList<>();
        String[] list = StringEvaluator.getAllPrefixes(string);
        for (String str: list) {
           if(isPalindrome(str)) result.add(str);
        }

        return result.toArray(new String[0]);
    }

    public static Boolean isPalindrome(String string) {
        int half = string.length()/2;
        boolean result = string.substring(0, half).equals(reverseString(string.substring(string.length()-half)));
        return result;
    }

    public static String reverseString(String string) {
        String result = "";
        for (int i = string.length()-1; i >= 0; i--) {
            result+= string.charAt(i);
        }
        return result;
    }
}
