package rocks.zipcode.io.quiz4.generics;

import java.util.ArrayList;
import java.util.EmptyStackException;
import java.util.Iterator;

/**
 * @author leon on 11/12/2018.
 */
public class MyStack<SomeType> implements Iterable{

    ArrayList<SomeType> list = new ArrayList<>();

    public MyStack() {
    }

    public Boolean isEmpty() {
        return list.isEmpty();
    }

    public void push(SomeType i) {
        list.add(i);
    }

    public SomeType peek() {
        if(list.size()>=1){
        return list.get(list.size()-1);}
        return null;
    }

    public SomeType pop() {
        SomeType result = peek();
        if(result==null) throw new EmptyStackException();
        list.remove(list.size()-1);
        return result;
    }

    @Override
    public Iterator<SomeType> iterator() {
        return null;
    }
}
