package rocks.zipcode.io.quiz4.generics;

import java.util.*;

/**
 * @author leon on 18/12/2018.
 */
public class SortedGroup<T> extends Group<T> {



    @Override
    public void insert(T value) {
        ArrayList temp = getList();
        temp.add(value);
        setList(temp);
        sort();
    }

    @Override
    public void delete(T value) {
        sort();
        ArrayList temp = getList();
        temp.remove(value);
        setList(temp);
    }

    public Integer indexOf(T firstValue) {
        sort();
        return getList().indexOf(firstValue);
    }

    public ArrayList<T> sort(){
        ArrayList<T> result = getList();
        if (result != null) {
            if (result.get(0) instanceof String){
                Collections.sort((ArrayList<String>)result);
            }
            if(result.get(0) instanceof Integer){
                Collections.sort((ArrayList<Integer>)result);
            }
        }
        return result;
    }
}
